php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57869 Does not work with suhosin on php 5.2.x
Submitted: 2007-10-11 06:38 UTC Modified: 2009-01-21 05:59 UTC
From: david at palepurple dot co dot uk Assigned:
Status: Closed Package: uploadprogress (PECL)
PHP Version: Irrelevant OS: Linux
Private report: No CVE-ID: None
 [2007-10-11 06:38 UTC] david at palepurple dot co dot uk
Description:
------------
This extension does not work with :

suhosin + php 5.2.4

It does work fine if suhosin is disabled.

Does this indicate this extension is not safe / does something potentially insecure?


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-10-29 13:28 UTC] hans at velum dot net
I can confirm that this is broken w/ suhosin on 5.2.4.
 [2008-07-16 17:43 UTC] dont-mail-me at i-mail-you dot com
I recently tried the new 2008-07-08 - 0.9.0 release, and can confirm the bug(?) still exists with both Ubuntu 8.04 and OpenSUSE 11.0.

Apache, PHP5 and Suhosin installed from distribution package sources (apt, yast) in default configuration.

Ubuntu 8.04 (x86_64): 
- Apache 2.2.8-1ubuntu0.3
- PHP5 5.2.4-2ubuntu5.2
- Suhosin 0.9.22-1

OpenSUSE 10.3 (x86_64)
- Apache 2.2.4-70.4
- PHP5 5.2.5-8.1
- Suhosin 5.2.5-8.1
 [2008-08-12 07:55 UTC] chregu@php.net
It's actually an oversight in suhosin. Nothing I can do right now, it's reported.
 [2009-01-21 05:59 UTC] chregu@php.net
It's fixed sind quite some time in the Suhosin extension
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Wed Nov 13 14:01:29 2019 UTC